import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Admin } from '../../entity/user/admin.entity';
type modelType = ReturnModelType<typeof Admin>;
@Provide()
export class AdminService extends BaseService<modelType> {
  @InjectEntityModel(Admin)
  model: modelType;

  async initSuper() {
    const data = {
      account: 'admin',
      password: '1qaz2wsx',
      nick_name: '系统管理员',
      is_super: '0',
    };
    const is_exist = await this.model.count({ is_super: '0' });
    if (!is_exist) await this.model.create(data);
    return;
  }
}
